SAML IDPs

List

get

Retrieve information about one or multiple SAML IDP configurations.

Query parameters
SiteIdinteger · int32Optional

Site ID from which to retrieve the SAML IDP configurations (optional).

NamestringOptional

The name of the SAML IDP configuration for which to retrieve the information. This must be the actual SAML IDP configuration name used in the RAS connections.

Responses
get
/api/SAMLIDP

Create

post

Create a new SAML IDP configuration.

Body

Create a new SAMLIDP

hoststring · nullableRequired

Host name of gateway This specified gateway will receive the calls for SP URLs.

namestring · min: 1 · max: 255 · nullableRequired

The name of the target SAMLIDP. This must be the actual SAMLIDP name used in the RAS farm.

siteIdinteger · int32Optional

Site ID in which to create the specified SAMLIDP. If the parameter is omitted, the site ID of the Licensing Server will be used.

enabledboolean · nullableOptional

Enable or disable the SAMLIDP upon creation. If the parameter is omitted, the SAMLIDP is initialised as Disabled.

descriptionstring · nullableOptional

A user-defined SAMLIDP description.

themeIdinteger · int32 · nullableOptional

Use SAMLIDP with a theme

Responses
chevron-right
201

Created

application/json; api-version=1.0

IDP The server or authorization authority that the client can use to authenticate

idinteger · int32Optional

ID of the object.

adminCreatestring · nullableOptional

User who created the object.

adminLastModstring · nullableOptional

User who last modified the object.

timeCreatestring · date-timeOptional

Time when the object was created.

timeLastModstring · date-timeOptional

Time when the object was last modified.

enabledbooleanOptional

Whether the IDP is enabled or not.

namestring · nullableOptional

Name of the IDP

siteIdinteger · int32Optional

Site ID

descriptionstring · nullableOptional

Description of the IDP

themeIdinteger · int32Optional

The theme ID associated with this SAML configuration

idpEntityIDstring · nullableOptional

IDP entity ID

idpCertificatestring · nullableOptional

IDP certificate

logonURLstring · nullableOptional

Logon URL

logoutURLstring · nullableOptional

Logout URL

allowUnencryptedAssertionbooleanOptional

Allow unencrypted assertion

hoststring · nullableOptional

Specifies the host name

spEntityIDstring · nullableOptional

Sends a unique ID as a parameter of the SAML token.

spReplyURLstring · nullableOptional

Specifies where to receive the SAML token.

spLogonURLstring · nullableOptional

Specifies where to redirect users so that they can authenticate.

spLogoutURLstring · nullableOptional

Specifies where to redirect users so that they can deauthenticate.

spCertificatestring · nullableOptional

Specifies the service provider certificate

post
/api/SAMLIDP

Get

get

Retrieve information about a particular SAML IDP configuration by ID.

Path parameters
idinteger · int32Required

The ID of a SAML IDP configuration for which to retrieve the information.

Responses
get
/api/SAMLIDP/{id}

Update

put

Modify properties of a SAML IDP configuration.

Path parameters
idinteger · int32Required

The ID of the SAML IDP configuration to modify.

Body

Update a SAMLIDP settings

enabledboolean · nullableOptional

Enable or disable the specified SAMLIDP in a site.

namestring · min: 1 · max: 255 · nullableOptional

The new name of the target SAMLIDP.

descriptionstring · nullableOptional

A user-defined SAMLIDP description.

themeIdinteger · int32 · nullableOptional

Specifies the SAMLIDP theme

idpEntityIDstring · min: 1 · max: 255 · nullableOptional

The IDP entity ID

idpCertificatestring · min: 1 · max: 255 · nullableOptional

The IDP certificate

logonURLstring · nullableOptional

The logon URL

logoutURLstring · nullableOptional

The logout URL

allowUnencryptedAssertionboolean · nullableOptional

Allow unencrypted assertion

hoststring · min: 1 · max: 255 · nullableOptional

Host name of gateway This specified gateway will receive the calls for SP URLs.

spCertificatestring · min: 1 · max: 255 · nullableOptional

Specifies the service provider certificate

attributeTypestring · enumOptional

SAML Attributes

Possible values:
attributeEnabledboolean · nullableOptional

Enable or disable an attribute of a specified SAMLIDP

attributeSAMLstring · min: 1 · max: 255 · nullableOptional

Specifies the SAMLIDP attribute.

attributeADstring · min: 1 · max: 255 · nullableOptional

Specifies the AD attribute.

Responses
put
/api/SAMLIDP/{id}

No content

Delete

delete

Remove a SAML IDP configuration from a site.

Path parameters
idinteger · int32Required

The ID of a SAML IDP configuration to remove from the site.

Responses
delete
/api/SAMLIDP/{id}

No content